com.trendmicro.ds.platform.rest.object.cloud

## Class UpdateAwsAccountRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.cloud.UpdateAwsAccountRequest

-     public class UpdateAwsAccountRequest
      extends java.lang.Object

  Request object for the AWS Account API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateAwsAccountRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AwsCredentials` | `getAwsCredentials()` Gets the AWS credentials (Access Key, Secret Key) used to add the AWS account.
    `CrossAccountRole` | `getCrossAccountRole()` Gets the Cross Account Role (ARN, External ID) used to add the AWS account.
    `java.lang.String` | `getSeedRegion()` Gets the region to initialize the EC2 client in.
    `boolean` | `getUseInstanceRole()` Gets Whether or not to use the instance role for permissions to add the AWS account.
    `void` | `setAwsCredentials(AwsCredentials awsCredentials)` Sets the AWS credentials (Access Key, Secret Key) used to add the AWS account.
    `void` | `setCrossAccountRole(CrossAccountRole crossAccountRole)` Sets the Cross Account Role (ARN, External ID) used to add the AWS account.
    `void` | `setSeedRegion(java.lang.String seedRegion)` Sets the region to initialize the EC2 client in.
    `void` | `setUseInstanceRole(boolean useRole)` Sets Whether or not to use the instance role for permissions to add the AWS account.
    `UpdateAwsAccountRequest` | `withAwsCredentials(AwsCredentials awsCredentials)`
    `UpdateAwsAccountRequest` | `withCrossAccountRole(CrossAccountRole crossAccountRole)`
    `UpdateAwsAccountRequest` | `withSeedRegion(java.lang.String seedRegion)`
    `UpdateAwsAccountRequest` | `withUseInstanceRole(boolean useInstanceRole)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateAwsAccountRequest

          public UpdateAwsAccountRequest()

  - ### Method Detail

    - #### getUseInstanceRole

          public boolean getUseInstanceRole()

      Gets Whether or not to use the instance role for permissions to add the AWS account.
      Returns:
        Whether or not to use the instance role for permissions to add the AWS account.

    - #### setUseInstanceRole

          public void setUseInstanceRole(boolean useRole)

      Sets Whether or not to use the instance role for permissions to add the AWS account.
      Parameters:
        `useRole` - Whether or not to use the instance role for permissions to add the AWS account.

    - #### getAwsCredentials

          public AwsCredentials getAwsCredentials()

      Gets the AWS credentials (Access Key, Secret Key) used to add the AWS account.
      Returns:
        The AWS credentials (Access Key, Secret Key) used to add the AWS account.

    - #### setAwsCredentials

          public void setAwsCredentials(AwsCredentials awsCredentials)

      Sets the AWS credentials (Access Key, Secret Key) used to add the AWS account.
      Parameters:
        `awsCredentials` - The AWS credentials (Access Key, Secret Key) used to add the AWS account.

    - #### getSeedRegion

          public java.lang.String getSeedRegion()

      Gets the region to initialize the EC2 client in. This is an advanced option used if you want to access special region.
      Returns:
        The region to initialize the EC2 client in. This is an advanced option used if you want to access special region.

    - #### setSeedRegion

          public void setSeedRegion(java.lang.String seedRegion)

      Sets the region to initialize the EC2 client in. This is an advanced option used if you want to access special region.
      Parameters:
        `seedRegion` - The region to initialize the EC2 client in. This is an advanced option used if you want to access special region.

    - #### getCrossAccountRole

          public CrossAccountRole getCrossAccountRole()

      Gets the Cross Account Role (ARN, External ID) used to add the AWS account.
      Returns:
        The Cross Account Role (ARN, External ID) used to add the AWS account.

    - #### setCrossAccountRole

          public void setCrossAccountRole(CrossAccountRole crossAccountRole)

      Sets the Cross Account Role (ARN, External ID) used to add the AWS account.
      Parameters:
        `crossAccountRole` - The Cross Account Role (ARN, External ID) used to add the AWS account.

    - #### withAwsCredentials

          public UpdateAwsAccountRequest withAwsCredentials(AwsCredentials awsCredentials)

      Parameters:
        `awsCredentials` - The AWS credentials (Access Key, Secret Key) used to add the AWS account.
      Returns:
        The updated UpdateAwsAccountRequest.

    - #### withUseInstanceRole

          public UpdateAwsAccountRequest withUseInstanceRole(boolean useInstanceRole)

      Parameters:
        `useInstanceRole` - Whether or not to use the instance role for permissions to add the AWS account.
      Returns:
        The updated UpdateAwsAccountRequest.

    - #### withSeedRegion

          public UpdateAwsAccountRequest withSeedRegion(java.lang.String seedRegion)

      Parameters:
        `seedRegion` - The region to initialize the EC2 client in. This is an advanced option used if you want to access special region.
      Returns:
        The updated UpdateAwsAccountRequest.

    - #### withCrossAccountRole

          public UpdateAwsAccountRequest withCrossAccountRole(CrossAccountRole crossAccountRole)

      Parameters:
        `crossAccountRole` - The Cross Account Role (ARN, External ID) used to add the AWS account.
      Returns:
        The updated UpdateAwsAccountRequest.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.